import sys

from sessionizator.sessionizator import get_sessions_by_user
from utils.constants import SessionizationHeuristic
from utils.csv_reader import group_logs_by_users_from
from graphs.build_graph import build_graph_from_sessions

csv_to_read = sys.argv[1] if len(sys.argv) > 1 else 'data/reduced_logs.csv'

logs_by_ip = group_logs_by_users_from(csv_to_read)

sessions_by_user = get_sessions_by_user(logs_by_ip, SessionizationHeuristic.TIME_REFERER_BASED)

folder = sys.argv[2] if len(sys.argv) > 2 else 'graphs/main_sessions/'
for user, sessions in sessions_by_user.items():
  build_graph_from_sessions(sessions, folder, user)