from logs.log import Log
from typing import List
from sessionizator.strategies.session_path import SessionPath

def get_delta() -> float:
  return 600.0 # 10 minutes in seconds

def get_sessions_with_time_heuristic(logs: List[Log]) -> List[SessionPath]:
  logs.sort(key=lambda log: log.time)
  time_delta = get_delta()

  sessions = []
  last_time = logs[0].time
  current_session = None
  for log in logs:
    if current_session and log.time - last_time > time_delta:
      sessions.append(current_session)
      current_session = None

    current_session = SessionPath(log, current_session)
    last_time = log.time

  if current_session:
    sessions.append(current_session)

  return sessions